Index: SRUAggregator/trunk/pom.xml
===================================================================
--- SRUAggregator/trunk/pom.xml	(revision 6134)
+++ SRUAggregator/trunk/pom.xml	(revision 6144)
@@ -8,5 +8,5 @@
 	<groupId>eu.clarin.sru.fcs</groupId>
 	<artifactId>aggregator</artifactId>
-	<version>2.0.0-beta-34</version>
+	<version>2.0.0-beta-35</version>
 	<name>FCS Aggregator</name>
 
@@ -28,5 +28,5 @@
 			<url>http://oss.sonatype.org/content/repositories/snapshots</url>
 		</repository>
-	</repositories> 
+	</repositories>
 
 	<dependencies>
@@ -102,5 +102,5 @@
 			</exclusions>
 		</dependency>
-		
+
 		<dependency>
 			<groupId>org.apache.poi</groupId>
Index: SRUAggregator/trunk/src/main/resources/assets/clarinservices/clarinservices.css
===================================================================
--- SRUAggregator/trunk/src/main/resources/assets/clarinservices/clarinservices.css	(revision 6144)
+++ SRUAggregator/trunk/src/main/resources/assets/clarinservices/clarinservices.css	(revision 6144)
@@ -0,0 +1,33 @@
+#clarinservices button.dropdown-toggle {
+	background-color: transparent;
+}
+
+#clarinservices table {
+	text-align: center;
+	vertical-align: top;
+	background-color: #FFFFFF;
+	border-color: #FFFFFF;
+	padding: 15px;
+	width: 100%;
+}
+
+#clarinservices table td {
+	width: 33%;
+	border: 1px solid black;
+	background-color: #fff;
+	padding: 20px;
+	border-color: black;
+	transition: background-color .4s, border-color .2s;
+}
+
+#clarinservices table td:hover {
+	border-color: orange;
+	border: 1px solid orange;
+	background-color: #eef;
+}
+
+#clarinservices table td img {
+	margin-right: 0px;
+	max-width: 100px;
+	max-height: 100px;
+}
Index: SRUAggregator/trunk/src/main/resources/assets/clarinservices/clarinservices.js
===================================================================
--- SRUAggregator/trunk/src/main/resources/assets/clarinservices/clarinservices.js	(revision 6144)
+++ SRUAggregator/trunk/src/main/resources/assets/clarinservices/clarinservices.js	(revision 6144)
@@ -0,0 +1,115 @@
+(function() {
+"use strict";
+
+var service_list = [
+	[
+		{
+			href: 'http://www.clarin.eu/portal',
+			image: 'https://www.clarin.eu/sites/default/files/portal_small.png',
+			title: "CLARIN portal",
+			description: "Quick introduction to CLARIN, giving an impression about what's currently available",
+		},
+		{
+			href: 'http://www.clarin.eu/services/depositing',
+			image: 'http://www.clarin.eu/sites/default/files/long-term-archive.jpg',
+			title: "Depositing services",
+			description: "Store language resources in a sustainable repository at a CLARIN centre",
+		},
+		{
+			href: 'http://www.clarin.eu/vlo',
+			image: 'https://www.clarin.eu/sites/default/files/vlo_small.png',
+			title: "Virtual Language Observatory",
+			description: "Discover language resources using a faceted browser or a map",
+		},
+	],
+	[
+		{
+			href: 'http://www.clarin.eu/content/easy-access-protected-resources',
+			image: 'http://www.clarin.eu/sites/default/files/federated-identity.jpg',
+			title: "Easy federated access",
+			description: "Get easy access to protected resources, with your institutional username and password.",
+		},
+		{
+			href: 'http://www.clarin.eu/content/web-services',
+			image: 'https://www.clarin.eu/sites/default/files/webservice.png',
+			title: "Web services and applications",
+			description: "Explore and analyze language data with a wide variety of tools",
+		},
+		{
+			href: 'http://www.clarin.eu/content/virtual-collections',
+			image: 'https://www.clarin.eu/sites/default/files/virtualcollection.png',
+			title: "Virtual Collections",
+			description: "Create your own digital bookmarks, ideal for citing data sets.",
+		},
+	],
+	[
+		{
+			href: 'http://www.clarin.eu/content/language-resource-inventory',
+			image: 'https://www.clarin.eu/sites/default/files/lrt-inventory_small.png',
+			title: "Language Resource Inventory",
+			description: "Submit and access information about language resources relevant to your research."
+		},
+		{
+			href: 'http://www.clarin.eu/content/content-search',
+			image: 'https://www.clarin.eu/sites/default/files/search.png',
+			title: "Content Search (prototype version)",
+			description: "Search different corpora with a single search engine"
+		},
+		{
+			href: 'http://www.clarin.eu/contact',
+			image: 'https://www.clarin.eu/sites/default/files/questionmark.png',
+			title: "Consulting Services",
+			description: "Searching for a specific data set or application? Wondering how CLARIN can assist your research? Feel free to contact us!"
+		},
+	],
+];
+
+var entityMap = {
+	"&": "&amp;",
+	"<": "&lt;",
+	">": "&gt;",
+	'"': '&quot;',
+	"'": '&#39;',
+	"/": '&#x2F;'
+};
+
+function escapeHtml(string) {
+	return String(string).replace(/[&<>"'\/]/g, function (s) {
+		return entityMap[s];
+	});
+}
+
+function renderCell(service) {
+	var href = escapeHtml(service.href);
+	var image = escapeHtml(service.image);
+	var title = escapeHtml(service.title);
+	var description = escapeHtml(service.description);
+
+	var p_image	=	"<p><a href='" + href + "'><img src='" + image + "'></a></p>";
+	var p_title	=	"<p><a href='" + href + "'>" + title + "</a></p>";
+	var p_desc 	=	"<p>" + description + "</p>";
+
+	return "<td><li role='presentation'>" + p_image + p_title + /* p_description + */ "</li></td>";
+}
+
+function renderRow(services) {
+	return "<tr>" + services.map(renderCell).join('') + "</tr>";
+}
+
+function renderDropdown(service_table) {
+	var rows = service_list.map(renderRow).join('');
+	var tablediv = "<div><table><tbody>" + rows + "</tbody></table></div>";
+	return '<div class="dropdown">' +
+		'<button class="btn dropdown-toggle" type="button"'+
+				' id="dropdown-clarinservices" data-toggle="dropdown" aria-expanded="true">'+
+			'<span class="glyphicon glyphicon-th"></span>'+
+		'</button>'+
+		'<ul class="dropdown-menu" role="menu" aria-labelledby="dropdown-clarinservices">'+
+			tablediv +
+		'</ul>'+
+	'</div>';
+}
+
+document.getElementById('clarinservices').innerHTML = renderDropdown(service_list);
+
+})();
Index: SRUAggregator/trunk/src/main/resources/assets/index.html
===================================================================
--- SRUAggregator/trunk/src/main/resources/assets/index.html	(revision 6134)
+++ SRUAggregator/trunk/src/main/resources/assets/index.html	(revision 6144)
@@ -14,5 +14,5 @@
 		<script src="http://cdnjs.cloudflare.com/ajax/libs/es5-shim/3.4.0/es5-shim.js"></script>
 		<script src="http://cdnjs.cloudflare.com/ajax/libs/es5-shim/3.4.0/es5-sham.js"></script>
-	<![endif]-->   
+	<![endif]-->
 
 	<style>
@@ -57,4 +57,7 @@
 	<script src="js/main.js"></script>
 
+	<link href="clarinservices/clarinservices.css" rel="stylesheet">
+	<script src="clarinservices/clarinservices.js"></script>
+
 	<!-- Piwik -->
 	<script type="text/javascript">
Index: SRUAggregator/trunk/src/main/resources/assets/js/main.js
===================================================================
--- SRUAggregator/trunk/src/main/resources/assets/js/main.js	(revision 6134)
+++ SRUAggregator/trunk/src/main/resources/assets/js/main.js	(revision 6144)
@@ -3,7 +3,8 @@
 "use strict";
 
-var VERSION = window.MyAggregator.VERSION = "VERSION 2.0.0-beta-34";
-var URLROOT = window.MyAggregator.URLROOT = 
-	window.location.pathname.substring(0, window.location.pathname.indexOf("/",2)) || 
+var VERSION = window.MyAggregator.VERSION = "VERSION 2.0.0-beta-35";
+
+var URLROOT = window.MyAggregator.URLROOT =
+	window.location.pathname.substring(0, window.location.pathname.indexOf("/",2)) ||
 	"/Aggregator";
 
@@ -49,5 +50,5 @@
 		}, 10000);
 	},
-	
+
 	ajax: function(ajaxObject) {
 		var that = this;
@@ -92,5 +93,5 @@
 	},
 
-	getPageFns: function() { 
+	getPageFns: function() {
 		return {
 			'': this.renderAggregator,
@@ -139,5 +140,8 @@
 				), 
 				React.createElement("ul", {id: "CLARIN_header_right", className: "nav navbar-nav navbar-right"}, 
-				this.renderLogin()
+					React.createElement("li", null, 
+						React.createElement("div", {id: "clarinservices", style: {padding:10}})
+					), 
+					this.renderLogin()
 				)
 			)
@@ -156,5 +160,5 @@
 					)
 				), 
-			
+
 				React.createElement("div", {className: "navbar navbar-default navbar-static-top", role: "navigation"}, 
 					React.createElement("div", {className: "container"}, 
@@ -203,6 +207,6 @@
 			stats: {},
 			activeTab: 0,
-			// searchStats: {}, 
-			// lastScanStats: {}, 
+			// searchStats: {},
+			// lastScanStats: {},
 		};
 	},
@@ -237,7 +241,7 @@
 	renderCollections: function(colls) {
 		return	React.createElement("div", {style: {marginLeft:40}}, 
-					 colls.length === 0 ? 
+					 colls.length === 0 ?
 						React.createElement("div", {style: {color:"#a94442"}}, "NO collections found")
-						: 
+						:
 						React.createElement("div", null, 
 							colls.length, " root collection(s):", 
@@ -255,5 +259,5 @@
 					React.createElement("div", {className: classes}, 
 						React.createElement("div", null, 
-							 d.counter <= 1 ? false : 
+							 d.counter <= 1 ? false :
 								React.createElement("div", {className: "inline", style: {margin:"5px 5px 5px 5px"}}, 
 									React.createElement("span", {className: "badge", style: {backgroundColor:'#ae7241'}}, "x ", d.counter)
@@ -264,5 +268,5 @@
 						React.createElement("div", null, "Context: ", React.createElement("a", {href: d.context}, d.context))
 					)
-				); 
+				);
 	},
 
@@ -272,5 +276,5 @@
 					React.createElement("div", {className: "inline alert alert-danger", role: "alert"}, 
 						React.createElement("div", null, 
-							 e.counter <= 1 ? false : 
+							 e.counter <= 1 ? false :
 								React.createElement("div", {className: "inline", style: {margin:"5px 5px 5px 5px"}}, 
 									React.createElement("span", {className: "badge", style: {backgroundColor:'#c94442'}}, "x ", e.counter, " ")
@@ -282,5 +286,5 @@
 						 xc.cause ? React.createElement("div", null, "Caused by: ", xc.cause) : false
 					)
-				); 
+				);
 	},
 
@@ -292,6 +296,6 @@
 					React.createElement("ul", {className: "list-inline list-unstyled", style: {marginBottom:0}}, 
 						React.createElement("li", null, 
-							 stat.version == "LEGACY" ? 
-								React.createElement("span", {style: {color:'#a94442'}}, "legacy ", React.createElement("i", {className: "glyphicon glyphicon-thumbs-down"}), " ") 
+							 stat.version == "LEGACY" ?
+								React.createElement("span", {style: {color:'#a94442'}}, "legacy ", React.createElement("i", {className: "glyphicon glyphicon-thumbs-down"}), " ")
 								: React.createElement("span", {style: {color:'#3c763d'}}, React.createElement("i", {className: "glyphicon glyphicon-thumbs-up"}), " "), 
 							
@@ -300,5 +304,5 @@
 					), 
 					React.createElement("div", {style: {marginLeft:40}}, 
-					 isScan ? 
+					 isScan ?
 						React.createElement("div", null, "Max concurrent scan requests:", " ", " ", stat.maxConcurrentRequests, " ") :
 						React.createElement("div", null, "Max concurrent search requests:", " ", " ", stat.maxConcurrentRequests, " ")
@@ -307,14 +311,14 @@
 					React.createElement("div", {style: {marginLeft:40}}, 
 						React.createElement("span", null, stat.numberOfRequests), " request(s)," + ' ' +
-						"average:", this.renderWaitTimeSecs(stat.avgExecutionTime), "," + ' ' + 
+						"average:", this.renderWaitTimeSecs(stat.avgExecutionTime), "," + ' ' +
 						"max: ", this.renderWaitTimeSecs(stat.maxExecutionTime)
 					), 
 					 isScan ? this.renderCollections(stat.rootCollections) : false, 
-						(errors && errors.length) ? 
+						(errors && errors.length) ?
 						React.createElement("div", {className: "inline", style: {marginLeft:40}}, 
 							 errors.map(this.renderError) 
 						) : false, 
 					
-						(diagnostics && diagnostics.length) ? 
+						(diagnostics && diagnostics.length) ?
 						React.createElement("div", {className: "inline", style: {marginLeft:40}}, 
 							 diagnostics.map(this.renderDiagnostic) 
@@ -381,5 +385,5 @@
 var HelpPage = React.createClass({displayName: 'HelpPage',
 	openHelpDesk: function() {
-		window.open('http://support.clarin-d.de/mail/form.php?queue=Aggregator&lang=en', 
+		window.open('http://support.clarin-d.de/mail/form.php?queue=Aggregator&lang=en',
 			'_blank', 'height=560,width=370');
 	},
@@ -391,9 +395,9 @@
 					React.createElement("h1", null, "Help"), 
 					React.createElement("h3", null, "Performing search in FCS corpora"), 
-					React.createElement("p", null, "To perform simple keyword search in all CLARIN-D Federated Content Search centers" + ' ' + 
-					"and their corpora, go to the search field at the top of the page," + ' ' + 
+					React.createElement("p", null, "To perform simple keyword search in all CLARIN-D Federated Content Search centres" + ' ' +
+					"and their corpora, go to the search field at the top of the page," + ' ' +
 					"enter your query, and click 'search' button or press the 'Enter' key."), 
-					
-					React.createElement("p", null, "When the search starts, the page will start filling in with the corpora responses." + ' ' + 
+
+					React.createElement("p", null, "When the search starts, the page will start filling in with the corpora responses." + ' ' +
 					"After the entire search process has ended you have the option to download the results" + ' ' +
 					"in various formats."
@@ -407,20 +411,23 @@
 
 					React.createElement("h3", null, "Adjusting search criteria"), 
-					React.createElement("p", null, "The FCS Aggregator makes possible to select specific corpora based on their name" + ' ' + 
+					React.createElement("p", null, "The FCS Aggregator makes possible to select specific corpora based on their name" + ' ' +
 					"or language and to specify the number of search results (hits) per corpus per page." + ' ' +
-					"The user interface controls that allows to change these options are located" + ' ' + 
-					"right below the search fiels on the main page. The current options are" + ' ' + 
-					"to filter resources based on their language, to select specific resources, and" + ' ' + 
+					"The user interface controls that allows to change these options are located" + ' ' +
+					"right below the search fiels on the main page. The current options are" + ' ' +
+					"to filter resources based on their language, to select specific resources, and" + ' ' +
 					"to set the maximum number of hits."), 
 
 
 					React.createElement("h3", null, "More help"), 
-					React.createElement("p", null, "More detailed information on using FCS Aggregator is available" + ' ' + 
-					"at the Aggegator wiki page. If you still cannot find an answer to your question," + ' ' + 
+					React.createElement("p", null, "More detailed information on using FCS Aggregator is available at the", 
+					React.createElement("a", {href: "http://weblicht.sfs.uni-tuebingen.de/weblichtwiki/index.php/FCS_Aggregator"}, 
+						"Aggregator wiki page"
+					), "." + ' ' +
+					"If you still cannot find an answer to your question," + ' ' +
 					"or if want to send a feedback, you can write to Clarin-D helpdesk: "), 
 					React.createElement("button", {type: "button", className: "btn btn-default btn-lg", onClick: this.openHelpDesk}, 
 						React.createElement("span", {className: "glyphicon glyphicon-question-sign", 'aria-hidden': "true"}), 
 						"Â HelpDesk"
-					)					
+					)
 				)
 			)
Index: SRUAggregator/trunk/src/main/resources/assets/js/main.jsx
===================================================================
--- SRUAggregator/trunk/src/main/resources/assets/js/main.jsx	(revision 6134)
+++ SRUAggregator/trunk/src/main/resources/assets/js/main.jsx	(revision 6144)
@@ -3,7 +3,8 @@
 "use strict";
 
-var VERSION = window.MyAggregator.VERSION = "VERSION 2.0.0-beta-34";
-var URLROOT = window.MyAggregator.URLROOT = 
-	window.location.pathname.substring(0, window.location.pathname.indexOf("/",2)) || 
+var VERSION = window.MyAggregator.VERSION = "VERSION 2.0.0-beta-35";
+
+var URLROOT = window.MyAggregator.URLROOT =
+	window.location.pathname.substring(0, window.location.pathname.indexOf("/",2)) ||
 	"/Aggregator";
 
@@ -49,5 +50,5 @@
 		}, 10000);
 	},
-	
+
 	ajax: function(ajaxObject) {
 		var that = this;
@@ -92,5 +93,5 @@
 	},
 
-	getPageFns: function() { 
+	getPageFns: function() {
 		return {
 			'': this.renderAggregator,
@@ -139,5 +140,8 @@
 				</ul>
 				<ul id="CLARIN_header_right" className="nav navbar-nav navbar-right">
-				{this.renderLogin()}
+					<li>
+						<div id="clarinservices" style={{padding:10}}/>
+					</li>
+					{this.renderLogin()}
 				</ul>
 			</div>
@@ -156,5 +160,5 @@
 					</div>
 				</div>
-			
+
 				<div className="navbar navbar-default navbar-static-top" role="navigation">
 					<div className="container">
@@ -203,6 +207,6 @@
 			stats: {},
 			activeTab: 0,
-			// searchStats: {}, 
-			// lastScanStats: {}, 
+			// searchStats: {},
+			// lastScanStats: {},
 		};
 	},
@@ -237,7 +241,7 @@
 	renderCollections: function(colls) {
 		return	<div style={{marginLeft:40}}>
-					{ colls.length === 0 ? 
+					{ colls.length === 0 ?
 						<div style={{color:"#a94442"}}>NO collections found</div>
-						: 
+						:
 						<div>
 							{colls.length} root collection(s):
@@ -253,7 +257,7 @@
 		var classes = "inline alert alert-warning " + (d.diagnostic.uri === 'LEGACY' ? "legacy" : "");
 		return 	<div key={d.diagnostic.uri}>
-					<div className={classes} > 
+					<div className={classes} >
 						<div>
-							{ d.counter <= 1 ? false : 
+							{ d.counter <= 1 ? false :
 								<div className="inline" style={{margin:"5px 5px 5px 5px"}}>
 									<span className="badge" style={{backgroundColor:'#ae7241'}}>x {d.counter}</span>
@@ -264,5 +268,5 @@
 						<div>Context: <a href={d.context}>{d.context}</a></div>
 					</div>
-				</div>; 
+				</div>;
 	},
 
@@ -272,5 +276,5 @@
 					<div className="inline alert alert-danger" role="alert">
 						<div>
-							{ e.counter <= 1 ? false : 
+							{ e.counter <= 1 ? false :
 								<div className="inline" style={{margin:"5px 5px 5px 5px"}}>
 									<span className="badge" style={{backgroundColor:'#c94442'}}>x {e.counter} </span>
@@ -282,5 +286,5 @@
 						{ xc.cause ? <div>Caused by: {xc.cause}</div> : false}
 					</div>
-				</div>; 
+				</div>;
 	},
 
@@ -292,7 +296,7 @@
 					<ul className='list-inline list-unstyled' style={{marginBottom:0}}>
 						<li>
-							{ stat.version == "LEGACY" ? 
-								<span style={{color:'#a94442'}}>legacy <i className="glyphicon glyphicon-thumbs-down"></i> </span> 
-								: <span style={{color:'#3c763d'}}><i className="glyphicon glyphicon-thumbs-up"></i> </span> 
+							{ stat.version == "LEGACY" ?
+								<span style={{color:'#a94442'}}>legacy <i className="glyphicon glyphicon-thumbs-down"></i> </span>
+								: <span style={{color:'#3c763d'}}><i className="glyphicon glyphicon-thumbs-up"></i> </span>
 							}
 							{ " "+endpoint[0] }
@@ -300,5 +304,5 @@
 					</ul>
 					<div style={{marginLeft:40}}>
-					{ isScan ? 
+					{ isScan ?
 						<div>Max concurrent scan requests:{" "} {stat.maxConcurrentRequests} </div> :
 						<div>Max concurrent search requests:{" "} {stat.maxConcurrentRequests} </div>
@@ -307,14 +311,14 @@
 					<div style={{marginLeft:40}}>
 						<span>{stat.numberOfRequests}</span> request(s),
-						average:{this.renderWaitTimeSecs(stat.avgExecutionTime)}, 
+						average:{this.renderWaitTimeSecs(stat.avgExecutionTime)},
 						max: {this.renderWaitTimeSecs(stat.maxExecutionTime)}
 					</div>
 					{ isScan ? this.renderCollections(stat.rootCollections) : false }
-					{	(errors && errors.length) ? 
+					{	(errors && errors.length) ?
 						<div className='inline' style={{marginLeft:40}}>
 							{ errors.map(this.renderError) }
 						</div> : false
 					}
-					{	(diagnostics && diagnostics.length) ? 
+					{	(diagnostics && diagnostics.length) ?
 						<div className='inline' style={{marginLeft:40}}>
 							{ diagnostics.map(this.renderDiagnostic) }
@@ -381,5 +385,5 @@
 var HelpPage = React.createClass({
 	openHelpDesk: function() {
-		window.open('http://support.clarin-d.de/mail/form.php?queue=Aggregator&lang=en', 
+		window.open('http://support.clarin-d.de/mail/form.php?queue=Aggregator&lang=en',
 			'_blank', 'height=560,width=370');
 	},
@@ -391,9 +395,9 @@
 					<h1>Help</h1>
 					<h3>Performing search in FCS corpora</h3>
-					<p>To perform simple keyword search in all CLARIN-D Federated Content Search centres 
-					and their corpora, go to the search field at the top of the page, 
+					<p>To perform simple keyword search in all CLARIN-D Federated Content Search centres
+					and their corpora, go to the search field at the top of the page,
 					enter your query, and click 'search' button or press the 'Enter' key.</p>
-					
-					<p>When the search starts, the page will start filling in with the corpora responses. 
+
+					<p>When the search starts, the page will start filling in with the corpora responses.
 					After the entire search process has ended you have the option to download the results
 					in various formats.
@@ -407,20 +411,23 @@
 
 					<h3>Adjusting search criteria</h3>
-					<p>The FCS Aggregator makes possible to select specific corpora based on their name 
+					<p>The FCS Aggregator makes possible to select specific corpora based on their name
 					or language and to specify the number of search results (hits) per corpus per page.
-					The user interface controls that allows to change these options are located 
-					right below the search fiels on the main page. The current options are 
-					to filter resources based on their language, to select specific resources, and 
+					The user interface controls that allows to change these options are located
+					right below the search fiels on the main page. The current options are
+					to filter resources based on their language, to select specific resources, and
 					to set the maximum number of hits.</p>
 
 
 					<h3>More help</h3>
-					<p>More detailed information on using FCS Aggregator is available 
-					at the Aggegator wiki page. If you still cannot find an answer to your question, 
+					<p>More detailed information on using FCS Aggregator is available at the
+					<a href="http://weblicht.sfs.uni-tuebingen.de/weblichtwiki/index.php/FCS_Aggregator">
+						Aggregator wiki page
+					</a>.
+					If you still cannot find an answer to your question,
 					or if want to send a feedback, you can write to Clarin-D helpdesk: </p>
 					<button type="button" className="btn btn-default btn-lg" onClick={this.openHelpDesk} >
 						<span className="glyphicon glyphicon-question-sign" aria-hidden="true"></span>
 						&nbsp;HelpDesk
-					</button>					
+					</button>
 				</div>
 			</div>
@@ -490,5 +497,5 @@
 						<h3>Statistics</h3>
 						<button type="button" className="btn btn-default btn-lg" onClick={function() {main.toStatistics(true);}} >
-							<span className="glyphicon glyphicon-cog" aria-hidden="true"> </span> 
+							<span className="glyphicon glyphicon-cog" aria-hidden="true"> </span>
 							View server log
 						</button>
@@ -513,5 +520,5 @@
 			<div className="container">
 				<div id="CLARIN_footer_left">
-						<a title="about" href="about" onClick={this.toAbout}> 
+						<a title="about" href="about" onClick={this.toAbout}>
 						<span className="glyphicon glyphicon-info-sign"></span>
 						<span>{VERSION}</span>