Index: SRUAggregator/trunk/pom.xml
===================================================================
--- SRUAggregator/trunk/pom.xml	(revision 6180)
+++ SRUAggregator/trunk/pom.xml	(revision 6181)
@@ -8,5 +8,5 @@
 	<groupId>eu.clarin.sru.fcs</groupId>
 	<artifactId>aggregator</artifactId>
-	<version>2.0.0-beta-45</version>
+	<version>2.0.0-beta-46</version>
 	<name>FCS Aggregator</name>
 
Index: SRUAggregator/trunk/src/main/resources/assets/clarinservices/clarinservices.css
===================================================================
--- SRUAggregator/trunk/src/main/resources/assets/clarinservices/clarinservices.css	(revision 6180)
+++ SRUAggregator/trunk/src/main/resources/assets/clarinservices/clarinservices.css	(revision 6181)
@@ -17,6 +17,11 @@
   border-radius: 50px;
   border-top-left-radius: 0;
-  padding: 20px;
+  padding: 15px;
   font-size: 13px;
+}
+@media (min-width: 768px) {
+  #clarinservices ul.dropdown-menu {
+    width: 483px;
+  }
 }
 
@@ -26,19 +31,12 @@
 }
 
-#clarinservices ul .flex {
-  display: -webkit-box;      /* OLD - iOS 6-, Safari 3.1-6 */
-  display: -moz-box;         /* OLD - Firefox 19- (buggy but mostly works) */
-  display: -ms-flexbox;      /* TWEENER - IE 10 */
-  display: -webkit-flex;     /* NEW - Chrome */
-  display: flex;
-}
-
-#clarinservices table {
-	text-align: center;
-	background-color: #FFFFFF;
-	width: 100%;
-}
-
-#clarinservices table td a{
+#clarinservices ul li {
+  display: inline;
+  float: left;
+  text-align: center;
+  background-color: #FFFFFF;
+}
+
+#clarinservices ul li a{
 	display: block;
 	width: 150px;
@@ -51,5 +49,5 @@
 }
 
-#clarinservices table td:hover a {
+#clarinservices ul li:hover a {
 	background-color: #fff;
 	border: 2px solid #003f6e;
@@ -57,10 +55,17 @@
 }
 
-#clarinservices table td a div img {
+#clarinservices ul li a > div {
+  margin-top:30px;
+}
+
+#clarinservices ul li a > div > div {
+  white-space: normal;
+}
+
+#clarinservices ul li a div img {
 	margin-right: 0px;
 	max-width: 100px;
 	max-height: 50px;
 }
-
 
 
Index: SRUAggregator/trunk/src/main/resources/assets/clarinservices/clarinservices.js
===================================================================
--- SRUAggregator/trunk/src/main/resources/assets/clarinservices/clarinservices.js	(revision 6180)
+++ SRUAggregator/trunk/src/main/resources/assets/clarinservices/clarinservices.js	(revision 6181)
@@ -1,4 +1,63 @@
 (function() {
 "use strict";
+
+var more_img = "clarinservices/more-clarin-services.png";
+
+var service_list = [
+	{
+		href: 'http://www.clarin.eu/portal',
+		image: 'https://www.clarin.eu/sites/default/files/portal_small.png',
+		title: "CLARIN portal",
+		description: "Quick introduction to CLARIN, giving an impression about what's currently available",
+	},
+	{
+		href: 'http://www.clarin.eu/services/depositing',
+		image: 'http://www.clarin.eu/sites/default/files/long-term-archive.jpg',
+		title: "Depositing services",
+		description: "Store language resources in a sustainable repository at a CLARIN centre",
+	},
+	{
+		href: 'http://www.clarin.eu/vlo',
+		image: 'https://www.clarin.eu/sites/default/files/vlo_small.png',
+		title: "Virtual Language Observatory",
+		description: "Discover language resources using a faceted browser or a map",
+	},
+	{
+		href: 'http://www.clarin.eu/content/easy-access-protected-resources',
+		image: 'http://www.clarin.eu/sites/default/files/federated-identity.jpg',
+		title: "Easy federated access",
+		description: "Get easy access to protected resources, with your institutional username and password.",
+	},
+	{
+		href: 'http://www.clarin.eu/content/web-services',
+		image: 'https://www.clarin.eu/sites/default/files/webservice.png',
+		title: "Web services and applications",
+		description: "Explore and analyze language data with a wide variety of tools",
+	},
+	{
+		href: 'http://www.clarin.eu/content/virtual-collections',
+		image: 'https://www.clarin.eu/sites/default/files/virtualcollection.png',
+		title: "Virtual Collections",
+		description: "Create your own digital bookmarks, ideal for citing data sets.",
+	},
+	{
+		href: 'http://www.clarin.eu/content/language-resource-inventory',
+		image: 'https://www.clarin.eu/sites/default/files/lrt-inventory_small.png',
+		title: "Language Resource Inventory",
+		description: "Submit and access information about language resources relevant to your research."
+	},
+	{
+		href: 'http://www.clarin.eu/content/content-search',
+		image: 'https://www.clarin.eu/sites/default/files/search.png',
+		title: "Content Search (prototype version)",
+		description: "Search different corpora with a single search engine"
+	},
+	{
+		href: 'http://www.clarin.eu/contact',
+		image: 'https://www.clarin.eu/sites/default/files/questionmark.png',
+		title: "Consulting Services",
+		description: "Searching for a specific data set or application? Wondering how CLARIN can assist your research? Feel free to contact us!"
+	},
+];
 
 /**
@@ -9,69 +68,4 @@
  * 4. calling `main`
  */
-var more_img = "img/more-clarin-services.png";
-var service_list = [
-	[
-		{
-			href: 'http://www.clarin.eu/portal',
-			image: 'https://www.clarin.eu/sites/default/files/portal_small.png',
-			title: "CLARIN portal",
-			description: "Quick introduction to CLARIN, giving an impression about what's currently available",
-		},
-		{
-			href: 'http://www.clarin.eu/services/depositing',
-			image: 'http://www.clarin.eu/sites/default/files/long-term-archive.jpg',
-			title: "Depositing services",
-			description: "Store language resources in a sustainable repository at a CLARIN centre",
-		},
-		{
-			href: 'http://www.clarin.eu/vlo',
-			image: 'https://www.clarin.eu/sites/default/files/vlo_small.png',
-			title: "Virtual Language Observatory",
-			description: "Discover language resources using a faceted browser or a map",
-		},
-	],
-	[
-		{
-			href: 'http://www.clarin.eu/content/easy-access-protected-resources',
-			image: 'http://www.clarin.eu/sites/default/files/federated-identity.jpg',
-			title: "Easy federated access",
-			description: "Get easy access to protected resources, with your institutional username and password.",
-		},
-		{
-			href: 'http://www.clarin.eu/content/web-services',
-			image: 'https://www.clarin.eu/sites/default/files/webservice.png',
-			title: "Web services and applications",
-			description: "Explore and analyze language data with a wide variety of tools",
-		},
-		{
-			href: 'http://www.clarin.eu/content/virtual-collections',
-			image: 'https://www.clarin.eu/sites/default/files/virtualcollection.png',
-			title: "Virtual Collections",
-			description: "Create your own digital bookmarks, ideal for citing data sets.",
-		},
-	],
-	[
-		{
-			href: 'http://www.clarin.eu/content/language-resource-inventory',
-			image: 'https://www.clarin.eu/sites/default/files/lrt-inventory_small.png',
-			title: "Language Resource Inventory",
-			description: "Submit and access information about language resources relevant to your research."
-		},
-		{
-			href: 'http://www.clarin.eu/content/content-search',
-			image: 'https://www.clarin.eu/sites/default/files/search.png',
-			title: "Content Search (prototype version)",
-			description: "Search different corpora with a single search engine"
-		},
-		{
-			href: 'http://www.clarin.eu/contact',
-			image: 'https://www.clarin.eu/sites/default/files/questionmark.png',
-			title: "Consulting Services",
-			description: "Searching for a specific data set or application? Wondering how CLARIN can assist your research? Feel free to contact us!"
-		},
-	],
-];
-
-// TODO: now that we're using Zepto, replace manual html management with $ calls
 
 var entityMap = {
@@ -91,33 +85,32 @@
 
 function renderCell(service) {
-	var href = escapeHtml(service.href);
-	var image = escapeHtml(service.image);
-	var title = escapeHtml(service.title);
-	var description = escapeHtml(service.description);
-
-	var p_image	=	"<img src='" + image + "'>";
-	var p_title	=	"<div>" + title + "</div>";
-
-	return "<td title='"+description+"'><a href='" + href + "'><div>" +
-				p_image + p_title +
-			"</div></a></td>";
-}
-
-function renderRow(services) {
-	return "<tr>" + services.map(renderCell).join('') + "</tr>";
+	var img = $('<img>').attr('src', service.image);
+	var title = $('<div>').text(escapeHtml(service.title));
+	var div = $('<div>').append(img).append(title);
+	var a = $('<a>').attr('href', service.href).append(div);
+	var li = $('<li>').attr('title', escapeHtml(service.description)).append(a);
+	console.log(li);
+	return li;
 }
 
 function renderDropdown(service_table) {
-	var rows = service_list.map(renderRow).join('');
-	var tablediv = "<div><table><tbody>" + rows + "</tbody></table></div>";
-	return '<div class="dropdown">' +
-		'<button class="btn dropdown-toggle" type="button"'+
-				' id="dropdown-clarinservices" data-toggle="dropdown" aria-expanded="true">'+
-			'<div id="clarinmore"><img src="'+more_img+'"></div> '+
-		'</button>'+
-		'<ul class="dropdown-menu" role="menu" aria-labelledby="dropdown-clarinservices">'+
-			tablediv +
-		'</ul>'+
-	'</div>';
+	var img = $('<img>').attr('src', more_img);
+	var imgdiv = $('<div>').attr('id', 'clarinmore').append(img);
+	var button = $('<button>').attr({
+		'class': 'btn dropdown-toggle',
+		type: 'button',
+		id:"dropdown-clarinservices",
+		'data-toggle': "dropdown",
+		'aria-expanded':"true"
+	}).append(imgdiv);
+
+	var ul = $('<ul>').attr({
+		'class': 'dropdown-menu',
+		role: 'menu',
+		"aria-labelledby": "dropdown-clarinservices"
+	});
+	service_list.map(renderCell).forEach(function(x){x.appendTo(ul);});
+
+	return $('<div>').attr('class', 'dropdown').append(button).append(ul);
 }
 
@@ -125,5 +118,5 @@
 	var csdiv = document.getElementById('clarinservices');
 	if (csdiv) {
-		csdiv.innerHTML = renderDropdown(service_list);
+		$(csdiv).append(renderDropdown(service_list));
 		$(csdiv).children().each(function (x) {
 			$(x).data('bs.dropdown', new Dropdown(x));
@@ -186,5 +179,4 @@
 
   Dropdown.prototype.toggle = function (e) {
-  	console.log('tggle');
     var $this = $(this)
 
@@ -252,5 +244,4 @@
 
   function clearMenus(e) {
-  	console.log('clearMenus', e);
     if (e && e.which === 3) return
     $(backdrop).remove()
@@ -272,5 +263,4 @@
 
   function getParent($this) {
-  	console.log('getParent', $this);
     var selector = $this.attr('data-target')
 
Index: SRUAggregator/trunk/src/main/resources/assets/js/main.js
===================================================================
--- SRUAggregator/trunk/src/main/resources/assets/js/main.js	(revision 6180)
+++ SRUAggregator/trunk/src/main/resources/assets/js/main.js	(revision 6181)
@@ -3,5 +3,5 @@
 "use strict";
 
-var VERSION = window.MyAggregator.VERSION = "v.2.0.0-beta-45";
+var VERSION = window.MyAggregator.VERSION = "v.2.0.0-beta-46";
 
 var URLROOT = window.MyAggregator.URLROOT =
Index: SRUAggregator/trunk/src/main/resources/assets/js/main.jsx
===================================================================
--- SRUAggregator/trunk/src/main/resources/assets/js/main.jsx	(revision 6180)
+++ SRUAggregator/trunk/src/main/resources/assets/js/main.jsx	(revision 6181)
@@ -3,5 +3,5 @@
 "use strict";
 
-var VERSION = window.MyAggregator.VERSION = "v.2.0.0-beta-45";
+var VERSION = window.MyAggregator.VERSION = "v.2.0.0-beta-46";
 
 var URLROOT = window.MyAggregator.URLROOT =