Index: /vlo/branches/vlo-3.3-oeaw/vlo-importer/src/test/java/eu/clarin/cmdi/vlo/importer/ImporterTestcase.java
===================================================================
--- /vlo/branches/vlo-3.3-oeaw/vlo-importer/src/test/java/eu/clarin/cmdi/vlo/importer/ImporterTestcase.java	(revision 6574)
+++ /vlo/branches/vlo-3.3-oeaw/vlo-importer/src/test/java/eu/clarin/cmdi/vlo/importer/ImporterTestcase.java	(revision 6575)
@@ -65,11 +65,5 @@
         MetadataImporter.languageCodeUtils = new LanguageCodeUtils(config);
         
-        Pattern pattern = Pattern.compile(".*\\.xml");
-      
-        ResourceList rl = new ResourceList();
-        final Collection<String> list = rl.getResources(pattern);
-        for(final String name : list){
-            System.out.println(name);
-        }
+       
       
     }
@@ -84,89 +78,4 @@
     
     
-    public class ResourceList{
-
-        /**
-         * for all elements of java.class.path get a Collection of resources Pattern
-         * pattern = Pattern.compile(".*"); gets all resources
-         * 
-         * @param pattern
-         *            the pattern to match
-         * @return the resources in the order they are found
-         */
-        public Collection<String> getResources(
-            final Pattern pattern){
-            final ArrayList<String> retval = new ArrayList<String>();
-            final String classPath = System.getProperty("java.class.path", ".");
-            final String[] classPathElements = classPath.split(":");
-            for(final String element : classPathElements){
-                retval.addAll(getResources(element, pattern));
-            }
-            return retval;
-        }
-
-        private Collection<String> getResources(
-            final String element,
-            final Pattern pattern){
-            final ArrayList<String> retval = new ArrayList<String>();
-            final File file = new File(element);
-            if(file.isDirectory()){
-                retval.addAll(getResourcesFromDirectory(file, pattern));
-            } else{
-                retval.addAll(getResourcesFromJarFile(file, pattern));
-            }
-            return retval;
-        }
-
-        private Collection<String> getResourcesFromJarFile(
-            final File file,
-            final Pattern pattern){
-            final ArrayList<String> retval = new ArrayList<String>();
-            ZipFile zf;
-            try{
-                zf = new ZipFile(file);
-            } catch(final ZipException e){
-                throw new Error(e);
-            } catch(final IOException e){
-                throw new Error(e);
-            }
-            final Enumeration e = zf.entries();
-            while(e.hasMoreElements()){
-                final ZipEntry ze = (ZipEntry) e.nextElement();
-                final String fileName = ze.getName();
-                final boolean accept = pattern.matcher(fileName).matches();
-                if(accept){
-                    retval.add(fileName);
-                }
-            }
-            try{
-                zf.close();
-            } catch(final IOException e1){
-                throw new Error(e1);
-            }
-            return retval;
-        }
-
-        private Collection<String> getResourcesFromDirectory(
-            final File directory,
-            final Pattern pattern){
-            final ArrayList<String> retval = new ArrayList<String>();
-            final File[] fileList = directory.listFiles();
-            for(final File file : fileList){
-                if(file.isDirectory()){
-                    retval.addAll(getResourcesFromDirectory(file, pattern));
-                } else{
-                    try{
-                        final String fileName = file.getCanonicalPath();
-                        final boolean accept = pattern.matcher(fileName).matches();
-                        if(accept){
-                            retval.add(fileName);
-                        }
-                    } catch(final IOException e){
-                        throw new Error(e);
-                    }
-                }
-            }
-            return retval;
-        }
-    }
+    
 }