Index: aai/clarin-sp-metadata.xml
===================================================================
--- aai/clarin-sp-metadata.xml	(revision 6651)
+++ aai/clarin-sp-metadata.xml	(revision 6652)
@@ -2327,10 +2327,10 @@
                     Name="urn:mace:terena.org:attribute-def:schacHomeOrganization"
                     NameFormat="urn:mace:shibboleth:1.0:attributeNamespace:uri"
-                    isRequired="true"/>
+                    isRequired="false"/>
                 <md:RequestedAttribute
                     FriendlyName="uid"
                     Name="urn:mace:dir:attribute-def:uid"
                     NameFormat="urn:mace:shibboleth:1.0:attributeNamespace:uri"
-                    isRequired="true"/>
+                    isRequired="false"/>
                 <md:RequestedAttribute
                     FriendlyName="eduPersonPrincipalName"
@@ -2343,10 +2343,10 @@
                     Name="urn:oid:1.3.6.1.4.1.25178.1.2.9"
                     NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:uri"
-                    isRequired="true"/>
+                    isRequired="false"/>
                 <md:RequestedAttribute
                     FriendlyName="uid"
                     Name="urn:oid:0.9.2342.19200300.100.1.1"
                     NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:uri"
-                    isRequired="true"/>    
+                    isRequired="false"/>    
                 <md:RequestedAttribute
                     FriendlyName="eduPersonPrincipalName"
@@ -4405,10 +4405,10 @@
                     Name="urn:mace:terena.org:attribute-def:schacHomeOrganization"
                     NameFormat="urn:mace:shibboleth:1.0:attributeNamespace:uri"
-                    isRequired="true"/>
+                    isRequired="false"/>
                 <md:RequestedAttribute
                     FriendlyName="uid"
                     Name="urn:mace:dir:attribute-def:uid"
                     NameFormat="urn:mace:shibboleth:1.0:attributeNamespace:uri"
-                    isRequired="true"/>
+                    isRequired="false"/>
                 <md:RequestedAttribute
                     FriendlyName="eduPersonPrincipalName"
@@ -4421,10 +4421,10 @@
                     Name="urn:oid:1.3.6.1.4.1.25178.1.2.9"
                     NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:uri"
-                    isRequired="true"/>
+                    isRequired="false"/>
                 <md:RequestedAttribute
                     FriendlyName="uid"
                     Name="urn:oid:0.9.2342.19200300.100.1.1"
                     NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:uri"
-                    isRequired="true"/>    
+                    isRequired="false"/>    
                 <md:RequestedAttribute
                     FriendlyName="eduPersonPrincipalName"
@@ -5198,10 +5198,10 @@
                     Name="urn:mace:terena.org:attribute-def:schacHomeOrganization"
                     NameFormat="urn:mace:shibboleth:1.0:attributeNamespace:uri"
-                    isRequired="true"/>
+                    isRequired="false"/>
                 <md:RequestedAttribute
                     FriendlyName="uid"
                     Name="urn:mace:dir:attribute-def:uid"
                     NameFormat="urn:mace:shibboleth:1.0:attributeNamespace:uri"
-                    isRequired="true"/>
+                    isRequired="false"/>
                 <md:RequestedAttribute
                     FriendlyName="eduPersonPrincipalName"
@@ -5214,10 +5214,10 @@
                     Name="urn:oid:1.3.6.1.4.1.25178.1.2.9"
                     NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:uri"
-                    isRequired="true"/>
+                    isRequired="false"/>
                 <md:RequestedAttribute
                     FriendlyName="uid"
                     Name="urn:oid:0.9.2342.19200300.100.1.1"
                     NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:uri"
-                    isRequired="true"/>    
+                    isRequired="false"/>    
                 <md:RequestedAttribute
                     FriendlyName="eduPersonPrincipalName"