Index: /vlo/branches/vlo-3.3/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/JavaScriptResources.java
===================================================================
--- /vlo/branches/vlo-3.3/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/JavaScriptResources.java	(revision 6684)
+++ /vlo/branches/vlo-3.3/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/JavaScriptResources.java	(revision 6685)
@@ -21,4 +21,5 @@
 import org.apache.wicket.request.resource.CssResourceReference;
 import org.apache.wicket.request.resource.JavaScriptResourceReference;
+import org.apache.wicket.request.resource.ResourceReference;
 
 /**
@@ -33,4 +34,5 @@
     private final static JavaScriptResourceReference VLO_FACETS = new JavaScriptResourceReference(VloBasePage.class, "vlo-facets.js");
     private final static JavaScriptResourceReference SEARCH_FORM = new JavaScriptResourceReference(VloBasePage.class, "vlo-searchform.js");
+    private final static JavaScriptResourceReference FIELDS_TABLE = new JavaScriptResourceReference(RecordPage.class, "vlo-fields-table.js");
     private final static JavaScriptResourceReference JQUERY_UI = new JavaScriptResourceReference(VloBasePage.class, "jquery-ui-1.11.4.custom/jquery-ui.min.js");
     private final static CssResourceReference JQUERY_UI_CSS = new CssResourceReference(VloBasePage.class, "jquery-ui-1.11.4.custom/jquery-ui.min.css");
@@ -71,6 +73,8 @@
         return SEARCH_FORM;
     }
+
+    public static ResourceReference getFieldsTableJS() {
+        return FIELDS_TABLE;
+    }
     
-    
-
 }
Index: /vlo/branches/vlo-3.3/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/panels/record/FieldsTablePanel.html
===================================================================
--- /vlo/branches/vlo-3.3/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/panels/record/FieldsTablePanel.html	(revision 6684)
+++ /vlo/branches/vlo-3.3/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/panels/record/FieldsTablePanel.html	(revision 6685)
@@ -28,5 +28,5 @@
                     <tr wicket:id="documentField">
                         <td class="attribute">
-                            <div wicket:id="fieldName">Description</div>
+                            <div class="fieldName" wicket:id="fieldName">Description</div>
                         </td><td class="attributeValue">
                             <ul class="attributeValues">
Index: /vlo/branches/vlo-3.3/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/panels/record/FieldsTablePanel.java
===================================================================
--- /vlo/branches/vlo-3.3/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/panels/record/FieldsTablePanel.java	(revision 6684)
+++ /vlo/branches/vlo-3.3/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/panels/record/FieldsTablePanel.java	(revision 6685)
@@ -20,4 +20,5 @@
 import com.google.common.collect.ImmutableSet;
 import eu.clarin.cmdi.vlo.FacetConstants;
+import eu.clarin.cmdi.vlo.JavaScriptResources;
 import eu.clarin.cmdi.vlo.config.VloConfig;
 import eu.clarin.cmdi.vlo.pojo.DocumentField;
@@ -28,4 +29,5 @@
 import eu.clarin.cmdi.vlo.wicket.components.SmartLinkFieldValueLabel;
 import eu.clarin.cmdi.vlo.wicket.model.HandleLinkModel;
+import eu.clarin.cmdi.vlo.wicket.model.SolrFieldDescriptionModel;
 import eu.clarin.cmdi.vlo.wicket.model.SolrFieldNameModel;
 import eu.clarin.cmdi.vlo.wicket.pages.FacetedSearchPage;
@@ -35,5 +37,9 @@
 import org.apache.wicket.AttributeModifier;
 import org.apache.wicket.Component;
+import org.apache.wicket.behavior.AttributeAppender;
 import org.apache.wicket.extensions.markup.html.basic.SmartLinkMultiLineLabel;
+import org.apache.wicket.markup.head.CssHeaderItem;
+import org.apache.wicket.markup.head.IHeaderResponse;
+import org.apache.wicket.markup.head.JavaScriptHeaderItem;
 import org.apache.wicket.markup.html.basic.Label;
 import org.apache.wicket.markup.html.link.Link;
@@ -89,5 +95,7 @@
                 final PropertyModel<String> fieldNameModel = new PropertyModel<String>(fieldModel, "fieldName");
                 final SolrFieldNameModel friendlyFieldNameModel = new SolrFieldNameModel(fieldNameModel);
-                item.add(new Label("fieldName", friendlyFieldNameModel));
+                final Label fieldName = new Label("fieldName", friendlyFieldNameModel);
+                item.add(fieldName);
+                fieldName.add(new AttributeAppender("title", new SolrFieldDescriptionModel(fieldNameModel)));
                 final PropertyModel<List> valuesModel = new PropertyModel<List>(fieldModel, "values");
                 item.add(new ListView("values", valuesModel) {
@@ -160,4 +168,12 @@
         return true;
     }
+    
+//    re-enable for 'fancy' popups for the field descriptions
+//    @Override
+//    public void renderHead(IHeaderResponse response) {
+//        // JQuery UI for tooltips
+//        response.render(CssHeaderItem.forReference(JavaScriptResources.getJQueryUICSS()));
+//        response.render(JavaScriptHeaderItem.forReference(JavaScriptResources.getFieldsTableJS()));
+//    }
 
 }
Index: /vlo/branches/vlo-3.3/vlo-web-app/src/main/js/eu/clarin/cmdi/vlo/wicket/pages/vlo-fields-table.js
===================================================================
--- /vlo/branches/vlo-3.3/vlo-web-app/src/main/js/eu/clarin/cmdi/vlo/wicket/pages/vlo-fields-table.js	(revision 6685)
+++ /vlo/branches/vlo-3.3/vlo-web-app/src/main/js/eu/clarin/cmdi/vlo/wicket/pages/vlo-fields-table.js	(revision 6685)
@@ -0,0 +1,29 @@
+/* 
+ * Copyright (C) 2015 CLARIN
+ *
+ * This program is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program.  If not, see <http://www.gnu.org/licenses/>.
+ */
+
+
+//$(function () {
+$(document).ready(function() {
+    $("td div.fieldName").tooltip(
+            {
+                show: {
+                    delay: 300
+                }
+            }
+    );
+});
+